Bug 11572 - Keyword searches no longer detect isbn from "Search the catalog"
Summary: Keyword searches no longer detect isbn from "Search the catalog"
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Searching (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Target Milestone: ---
Assignee: Kyle M Hall
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-01-16 20:00 UTC by Kyle M Hall
Modified: 2014-12-07 20:05 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 11572 - Keyword searches no longer detect isbn from "Search the catalog" (1.66 KB, patch)
2014-01-16 20:04 UTC, Kyle M Hall
Details | Diff | Splinter Review
[SIGNED OFF] Bug 11572 - Keyword searches no longer detect isbn from "Search the catalog" (1.73 KB, patch)
2014-02-03 06:04 UTC, M. Tompsett
Details | Diff | Splinter Review
[PASSED QA] Bug 11572 - Keyword searches no longer detect isbn from "Search the catalog" (1.87 KB, patch)
2014-02-03 21:05 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2014-01-16 20:00:22 UTC
In Koha 3.8, if a standard catalog search was performed and the user clicked the z39.50 search button, the search string would automatically be placed in the isbn field for the z39.50 search form. Changes to the code have since broken this functionality.
Comment 1 Kyle M Hall 2014-01-16 20:04:23 UTC Comment hidden (obsolete)
Comment 2 M. Tompsett 2014-02-03 06:02:18 UTC
I tried just closing, applying the patch, and clicking the z39.50 search button. I think caching by the web browser messes it up. You really do need to run the test plan as given to get it to work.
Comment 3 M. Tompsett 2014-02-03 06:04:33 UTC Comment hidden (obsolete)
Comment 4 Katrin Fischer 2014-02-03 21:05:32 UTC
Created attachment 25017 [details] [review]
[PASSED QA] Bug 11572 - Keyword searches no longer detect isbn from "Search the catalog"

In Koha 3.8, if a standard catalog search was performed and the user
clicked the z39.50 search button, the search string would automatically
be placed in the isbn field for the z39.50 search form.
Changes to the code have since broken this functionality.

Test Plan:
1) From mainpage.pl, use "Search the catalog" to search for the string "9781570672835"
2) Click the Z39.50 Search button
3) Note the string is placed in the title field
4) Apply this patch
5) Repeat steps 1-2
6) Note the string is placed in the isbn field

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Tested old and new ISBN with and without hyphens.
Also tested some other keyword searches.
Comment 5 Galen Charlton 2014-02-04 18:18:39 UTC
Pushed to master.  Thanks, Kyle!

I did add a note to the commit message:

Note that the behavior will be a bit odd if you do a 'replace via
Z39.50' from a bib record whose title happens to be an ISBN, but
this scenario seems unlikely enough to ignore.
Comment 6 Fridolin SOMERS 2014-04-30 14:48:07 UTC
Pushed to 3.14.x, will be in 3.14.06